%global __requires_exclude  typelib\\(GtkosxApplication|Gtkspell|Glib\\)

Summary:	Genealogical Research and Analysis Management Programming System
Name:		gramps
Version:	6.0.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Sciences/Other
#Source0:	https://prdownloads.sourceforge.net/gramps/%{name}-%{version}.tar.gz
Source0:	https://github.com/gramps-project/gramps/archive/refs/tags/v%{version}.tar.gz
Source1:	resource-path
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
# Previously provided by gramps before 5.1.6
Source24:	%{name}.keys
Source25:	%{name}.mime
URL:		https://www.gramps-project.org/
BuildArch:	noarch
BuildRequires:  python3-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)
Requires:	graphviz
# (tv) gramps.gen.utils.grampslocale.WARNING: ICU not loaded because No module named 'PyICU'. Localization will be impaired. Use your package manager to install PyICU
Requires:	python3-icu
Requires:	python3dist(orjson)
Requires:	typelib(GConf)
Requires:	typelib(WebKit2)
Requires:	shared-mime-info
Requires:	gtkspell3
Requires:	xdg-utils
Recommends:	fonts-ttf-freefont
Conflicts: %{name} < %{version}-%{release}

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%autosetup -p1 -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires 

%build
%py3_build

%install
%py3_install
# fix it:
# perl -pi -e "s@%{buildroot}@@" %buildroot/%{python3_sitelib}/gramps/gen/utils/resource-path
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{python3_sitelib}/gramps/gen/utils/resource-path

# the script starts with -O, the macros add -sP.  execve(2) treats everything
# after the interpreter as a single argument, so the flags need to be combined
sed -i -e '1s| \+-||2g' %{buildroot}%{_bindir}/gramps

#cleaning
rm -rf %{buildroot}/var

#menu
perl -pi -e 's,%{name}.png,%{name},g' build/data/org.gramps_project.Gramps.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Science" \
  --dir %{buildroot}%{_datadir}/applications build/data/org.gramps_project.Gramps.desktop

#icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# File previously provided by 5.1.x
install -m644 %{SOURCE24} -D %{buildroot}%{_datadir}/mime-info/%{name}.keys
install -m644 %{SOURCE25} -D %{buildroot}%{_datadir}/mime-info/%{name}.mime

#translations
mkdir -p %{buildroot}%{_datadir}/locale
cp -pr build/mo/* %{buildroot}%{_datadir}/locale/

#Others
mkdir -p %{buildroot}%{_datadir}/mime/packages
cp -p build/data/org.gramps_project.Gramps.xml %{buildroot}%{_datadir}/mime/packages/
mkdir -p %{buildroot}%{_metainfodir}/
cp -p build/data/org.gramps_project.Gramps.metainfo.xml %{buildroot}%{_metainfodir}/
mkdir -p %{buildroot}%{_mandir}/man1
cp -p build/data/man/gramps* %{buildroot}%{_mandir}/man1/

%find_lang %{name} --with-gnome --with-man

rm -fr %buildroot/%_docdir/%name

%files -f %{name}.lang
%doc README.md NEWS COPYING example/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/org.gramps_project.Gramps.desktop
%{_datadir}/mime/packages/org.gramps_project.Gramps.xml
%{_iconsdir}/hicolor/*/apps/*.*
%{_datadir}/mime-info/%{name}.*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_metainfodir}/org.gramps_project.Gramps.metainfo.xml
%{python3_sitelib}/gramps*egg-info
%{python3_sitelib}/gramps/__init*
%{python3_sitelib}/gramps/__main*
%{python3_sitelib}/gramps/grampsapp*
%{python3_sitelib}/gramps/gui
%{python3_sitelib}/gramps/test
%{python3_sitelib}/gramps/version*
%{python3_sitelib}/gramps/__pycache__
%dir %{python3_sitelib}/gramps/
%{python3_sitelib}/gramps/cli
%{python3_sitelib}/gramps/gen
%{python3_sitelib}/gramps/plugins
%{python3_sitelib}/gramps/gen/utils/resource-path
%{_mandir}/man1/%{name}.1*

